LibreOffice LibreOffice 5.3 SDK API Reference

Exported Interfaces | List of all members
FramesContainer Service Referencepublished

this is a special container which can contain frames More...

`import"FramesContainer.idl";`

Inheritance diagram for FramesContainer:

## Exported Interfaces
interface | XFrames
| access to frame collection by reference More...

## Additional Inherited Members
Public Member Functions inherited from XFrames
void | append ([in] XFrame xFrame)
| appends the specified Frame to the list of sub-frames. More...
sequence< XFrame > | queryFrames ([in] long nSearchFlags)
| provides access to the list of all currently existing frames inside this container and her sub frames More...
void | remove ([in] XFrame xFrame)
| removes the frame from its container. More...
Public Member Functions inherited from XIndexAccess
long | getCount ()
any | getByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

this is a special container which can contain frames

All elements in this container support the service frame. Implementations of this service are available by interface XFramesSupplier.

See also
  XFramesSupplier

## Exported Interfaces

## ◆ XFrames

interface XFrames

access to frame collection by reference

The documentation for this service was generated from the following file:

- com/sun/star/frame/FramesContainer.idl